import { stringify } from 'qs';
import request from '../utils/request';
import { mproducts, merchantProductDetailAPI, createMerchantProductAPI } from '../utils/api';

export async function query(params) {
  return request(`${mproducts}?${stringify(params)}`);
}

export async function queryOne(params) {
  return request(`${merchantProductDetailAPI}?${stringify(params)}`);
}

export async function createMerchantProduct(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  }
  return request(`${createMerchantProductAPI}`, options);
}


// export async function create(params) {
//   const options = {
//     method: 'POST',
//     body: JSON.stringify(params),
//   };
//   return request(`${merchantProduct.replace('/:id', '')}`, options);
// }
//
// export async function update(params) {
//   const options = {
//     method: 'PUT',
//     body: JSON.stringify(params),
//   };
//   return request(`${merchantProduct.replace('/:id', '')}`, options);
// }
//
// export async function remove({ id }) {
//   const options = { method: 'DELETE' }
//   return request(`${merchantProduct.replace('/:id', `/${id}`)}`, options);
// }
