import config from './config';

module.exports = {
  resources: `${config.apiHost}/resource/list`,
  resource: `${config.apiHost}/resource/:id`,
  signature: `${config.apiHost}/oss/signature`,
  cmsUsers: `${config.apiHost}/cms/user/list`,
  cmsUser: `${config.apiHost}/cms/user/:id`,
  userLogin: `${config.apiHost}/login`,
  userLogout: `${config.apiHost}/logout`,
  campuses: `${config.apiHost}/campus/list`,
  campus: `${config.apiHost}/campus/:id`,
  terminals: `${config.apiHost}/user/list`,
  terminal: `${config.apiHost}/user/:id`,
  merchants: `${config.apiHost}/merchant/list`,
  merchant: `${config.apiHost}/merchant/:id`,

  // 标签组及标签
  groups: `${config.apiHost}/group/list`,
  group: `${config.apiHost}/group`,
  tags: `${config.apiHost}/tag/list`,
  tag: `${config.apiHost}/tag/:id`,

  wares: `${config.apiHost}/ware/list`,
  ware: `${config.apiHost}/ware/:id`,
  lessons: `${config.apiHost}/lesson/list`,
  lesson: `${config.apiHost}/lesson/:id`,

  // 产品接口，包括：课程、周边、课程包
  product: `${config.apiHost}/product`,
  course: `${config.apiHost}/product/course`,
  support: `${config.apiHost}/product/support`,
  combo: `${config.apiHost}/product/package`,

  // 渠道产品接口
  mproducts: `${config.apiHost}/merchant/product`,
  merchantProductDetailAPI: `${config.apiHost}/merchant/product/detail`,
  createMerchantProductAPI: `${config.apiHost}/merchant/product/status`,

  // 订单接口
  orders: `${config.apiHost}/orders`,
  order: `${config.apiHost}/order/:id`,

  // 商品挂载标签
  goodsWithTag: `${config.apiHost}/merchant/product/tags`,
};
