/* 项目配置文件 */

const Codes = {};
Codes.CODE_VIDEO = 0;
Codes.CODE_AUDIO = 1;
Codes.CODE_LIVE  = 2;
Codes.CODE_IMAGE = 3;

Codes.CODE_NORMAL = 'NORMAL';
Codes.CODE_DELETE = 'DEL';

Codes.CODE_LESSON = 'WARE';
Codes.CODE_LESSON = 'LESSON';
Codes.CODE_COURSE = 'COURSE';
Codes.CODE_SUPPORT = 'SUPPORT';
Codes.CODE_PACKAGE = 'PACKAGE';

Codes.CODE_SALE = 'SALE';
Codes.CODE_UNPAID = 0;
Codes.CODE_PAID = 1;
Codes.CODE_CANCEL = 2;
Codes.CODE_LJ = 1010;
Codes.CODE_CP = 2010;
Codes.CODE_PJ = 3010;

module.exports = {
  apiHost: 'http://lj.dev.cms.api.com:8500',
  // apiHost: '/api',
  // 每页返回数据量
  pageSize: 10,
  // 标识码
  Codes,
  // 视频质量
  quality: {
    high: '高清',
    standard: '标清',
  },
  // 状态类型
  statuses: {
    [Codes.CODE_NORMAL]: '使用中',
    [Codes.CODE_DELETE]: '已删除',
  },
  // 商品出售状态
  itemStatuses: {
    [Codes.CODE_NORMAL]: '在售',
    [Codes.CODE_DELETE]: '下架',
  },
  // 产品类型
  productType: {
    [Codes.CODE_COURSE] : '课程',
    [Codes.CODE_SUPPORT]: '配套',
    [Codes.CODE_PACKAGE]: '课程包',
  },
  // 平台代号
  domains: {
    [Codes.CODE_LJ]: '领教方',
    [Codes.CODE_CP]: '供应商',
    [Codes.CODE_PJ]: '渠道商',
  },
  // 资源类型
  resourceType: {
    [Codes.CODE_VIDEO]: '视频',
    [Codes.CODE_AUDIO]: '音频',
    [Codes.CODE_LIVE] : '直播',
    [Codes.CODE_IMAGE]: '图片',
  },
  // 标签类型
  tagType: {
    [Codes.CODE_COURSE] : '课程',
    [Codes.CODE_SUPPORT]: '配套',
  },
  // 订单状态
  orderStatuses: {
    [Codes.CODE_UNPAID]: '未支付',
    [Codes.CODE_PAID]: '已支付',
    [Codes.CODE_CANCEL]: '已作废',
  }
};
